[pacman] Sortie de la version 3.5

Merci de consulter cette rubrique avant de poster
Répondre
Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

[pacman] Sortie de la version 3.5

Message par tuxce » jeu. 24 mars 2011, 10:53

La dernière version de pacman est finalement disponible sur [core].

Pour avoir une mise à jour sans casse:
- Pour les utilisateurs du dépôt [archlinuxfr]:
* Rajoutez si ce n'est déjà fait, yaourt, package-query et éventuellement pacman-color à la ligne SyncFirst de /etc/pacman.conf:

Code : Tout sélectionner

SyncFirst   = pacman pacman-color yaourt package-query
- Pour ceux installant package-query-git depuis AUR, il faut le supprimer et le recompiler une fois la mise à jour de pacman efféctuée.

Lancez la mise à jour:

Code : Tout sélectionner

pacman -Syu
pacman-db-upgrade
pacman -Syyu
Merci aux différents développeurs et contributeurs pour cette version.

Avatar de l’utilisateur
Dreamkey
Hankyu
Messages : 24
Inscription : lun. 09 août 2010, 19:19

Re: [pacman] Sortie de la version 3.5

Message par Dreamkey » dim. 27 mars 2011, 16:37

Qu'est-ce que ça change si je n'ai fait qu'un simple "pacman -Syu" après le "pacman-db-upgrade" ?
J'ai fait après un Syyu quand je m'en suis rendu compte, mais je ne comprends pas pourquoi des fois il faut faire un rafraîchissement forcé.

Avatar de l’utilisateur
chipster
Maître du Kyudo
Messages : 2063
Inscription : ven. 11 août 2006, 22:25
Localisation : Saint-Étienne (42)
Contact :

Re: [pacman] Sortie de la version 3.5

Message par chipster » dim. 27 mars 2011, 17:47

Parce que les .db sont vides

Avatar de l’utilisateur
IdoMcFly
Chu Ko Nu
Messages : 436
Inscription : lun. 17 déc. 2007, 14:26

Re: [pacman] Sortie de la version 3.5

Message par IdoMcFly » dim. 27 mars 2011, 20:25

Il parait que pacman-cage n'est plus nécessaire avec cette version de pacman ? je ne sais plus ce que j'ai fait pour installer pacman-cage, du coup je ne sais pas le désinstaller ^^;

Comment on désinstalle pacman-cage ?

Avatar de l’utilisateur
Ypnose
Maître du Kyudo
Messages : 1363
Inscription : sam. 01 mai 2010, 13:17
Contact :

Re: [pacman] Sortie de la version 3.5

Message par Ypnose » dim. 27 mars 2011, 20:32

Dreamkey a écrit :Qu'est-ce que ça change si je n'ai fait qu'un simple "pacman -Syu" après le "pacman-db-upgrade" ?
J'ai fait après un Syyu quand je m'en suis rendu compte, mais je ne comprends pas pourquoi des fois il faut faire un rafraîchissement forcé.
Je suis exactement dans le même cas que toi.
Je viens donc de faire un "pacman -Syyu" pour essayer de rattraper le truc même si j'ai l'impression que tout allait bien avant.
chipster a écrit :Parce que les .db sont vides
Cela engendre donc des erreurs lors de l'install si on ne lance pas "pacman -Syyu"?

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [pacman] Sortie de la version 3.5

Message par tuxce » dim. 27 mars 2011, 20:39

Le -yy, c'est juste par précaution, au cas où pour une raison ou une autre, vous auriez un [repo].db dans le répertoire de pacman et que ce dernier serait erroné.

IdoMcFly:

Code : Tout sélectionner

cd /var/lib
mkdir pacman.save
cp -a pacman/* pacman.save
/etc/rc.d/pacmandb stop
cp -a pacman.save/* pacman
et bien sûr supprimer le pacmandb des services.

Ceci dit, pacman-cage peut encore être utile vu que la base locale est toujours composée de fichiers.
Dernière édition par tuxce le dim. 27 mars 2011, 21:08, édité 2 fois.
Raison : s/new/save/

Avatar de l’utilisateur
benjarobin
Maître du Kyudo
Messages : 15160
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [pacman] Sortie de la version 3.5

Message par benjarobin » dim. 27 mars 2011, 20:45

IdoMcFly a écrit :Comment on désinstalle pacman-cage ?
Je te conseil de faire ceci:

Code : Tout sélectionner

yaourt -B /emplacement/de/la/sauvegarde
/etc/rc.d/pacmandb stop
yaourt -B /emplacement/de/la/sauvegarde/monfichierdebackup.tar.gz
Puis tu vérifie que pacman fonctionne bien: pacman -Qi yaourt te retourne bien une information par exemple.
Si c'est bien le cas, tu supprime pacman-cage: pacman -R pacman-cage
Et tu enlève loop des modules de ton rc.conf et pacmandb des daemons

Grillé par tuxce, sinon tu ne voulais pas dire : mkdir pacman.save ?

Avatar de l’utilisateur
IdoMcFly
Chu Ko Nu
Messages : 436
Inscription : lun. 17 déc. 2007, 14:26

Re: [pacman] Sortie de la version 3.5

Message par IdoMcFly » dim. 27 mars 2011, 21:35

si c'est utile je vais le laisser alors :) merci !

Avatar de l’utilisateur
sztruks
archer
Messages : 126
Inscription : mer. 30 mars 2011, 20:45
Localisation : Varsovie
Contact :

Re: [pacman] Sortie de la version 3.5

Message par sztruks » mer. 30 mars 2011, 21:21

Bonjour,


Mes débuts en rolling release sont un peu douloureux: j'ai voulu mettre à jour pacman en suivant la procédure donnée par Tuxce:
Rajoutez si ce n'est déjà fait, yaourt, package-query et éventuellement pacman-color à la ligne SyncFirst de /etc/pacman.conf:
[…]
Lancez la mise à jour:
Je suis rentré dans un cercle vicieux: pacman -Sy échoue car yaourt demande pacman >=3.5, idem pour package-query;
quant à

Code : Tout sélectionner

pacman-db-upgrade

il me renvoie un surprenant

Code : Tout sélectionner

commande introuvable
je n'ai pas eu plus de succès avec pacman -Syy ou yaourt -Suya
Un

Code : Tout sélectionner

yaourt -a pacman
me donne pacman 3.4.1 sans signaler la possibilté d'installer le 3.5
et me donne la possibilité de mettre à jour yaourt 0.9.5.3-1 vers 0.10.1-2 ce qui échoue bien évidemment car pacman n'est pas 3.5.

Merci d'éclairer ma lanterne de débutant…

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [pacman] Sortie de la version 3.5

Message par tuxce » mer. 30 mars 2011, 21:33

tu dois utiliser un mauvais miroir, utilise par exemple mir.archlinux.fr

Avatar de l’utilisateur
sztruks
archer
Messages : 126
Inscription : mer. 30 mars 2011, 20:45
Localisation : Varsovie
Contact :

Re: [pacman] Sortie de la version 3.5

Message par sztruks » mer. 30 mars 2011, 22:43

Ça marche, un grand merci!

Comme j'habite à Varsovie, j'utilisais le seul des trois miroirs locaux ne renvoyant pas de message d'erreur. Mais j'avais aussi mal compris le fonctionnement de pacman: en fait il descend dans la liste des miroirs jusqu'à en trouver un de disponible, c'est ça? Pour la suite, que me conseilles-tu: garder mir.archlinux.fr comme premier miroir ou mobiliser mon allemand pour mettre en tête de liste un miroir fiable plus près de chez moi?

EDIT: le serveur polonais en cause a disparu de la mirrorlist, il y en a deux totalement nouveaux, je les ai mis en position 2

Avatar de l’utilisateur
FoolEcho
Maître du Kyudo
Messages : 10400
Inscription : dim. 15 août 2010, 11:48
Localisation : Basse-Normandie

Re: [pacman] Sortie de la version 3.5

Message par FoolEcho » jeu. 31 mars 2011, 09:21

sztruks a écrit :Mais j'avais aussi mal compris le fonctionnement de pacman: en fait il descend dans la liste des miroirs jusqu'à en trouver un de disponible, c'est ça?
Il tient compte de l'ordre, oui, mais ça va un peu plus loin en fait: si une opération coince pour une raison quelconque sur l'un des miroirs, elle peut se poursuivre depuis l'un des serveurs suivants de la liste (il arrive parfois qu'un paquet commence à être récupéré depuis un miroir et que le téléchargement se finissse depuis un autre).

Molotov
Hankyu
Messages : 31
Inscription : mer. 05 mai 2010, 17:06

Re: [pacman] Sortie de la version 3.5

Message par Molotov » ven. 29 avr. 2011, 20:11

J'ai exactement le même problème que sztruks, mais j'utilise mir.archlinux.fr depuis toujours. Une idée ?

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [pacman] Sortie de la version 3.5

Message par tuxce » ven. 29 avr. 2011, 22:41

Comme ça, aucune, mais si tu donnes un poil plus d'infos (comme par exemple la sortie --debug de pacman...), il y aura sûrement quelqu'un pour comprendre ce qui va pas.

Aldarion
newbie
Messages : 6
Inscription : lun. 14 févr. 2011, 23:49

Re: [pacman] Sortie de la version 3.5

Message par Aldarion » ven. 20 mai 2011, 13:15

Salut,
j'ai exactement le même problème que Molotov, sachant que j'utilise une version installé de CTKArch 0.6 (peut-être devrais-je aller là bas d'ailleurs!), j'ai récupéré la sortie de pacman --debug. Comment peut-on procéder pour son analyse? Merci d'avance!

PS: Je l'ai pas encore lu --debug , je le parcours en ce moment même!

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [pacman] Sortie de la version 3.5

Message par tuxce » ven. 20 mai 2011, 15:08

Bien mieux que d'avoir des commandes à taper à la suite, il faut comprendre le principe!
pacman 3.5 est sorti à la date du premier post de ce topic, si vous avez comme problème que pacman ne trouve pas la version 3.5, c'est qu'il y a un souci de miroir.

- pacman teste les miroirs dans l'ordre de leur déclaration, si le premier répond, même si les paquets datent du siècle dernier, il le considère comme valide.
- les bases des dépôts proviennent du premier miroir valide
- un miroir n'est rien d'autre qu'une url (avec éventuellement $arch qui est remplacé par ton architecture et $repo par ce qui est entre []), si tu as un souci avec, va voir ce que ça te sort depuis un navigateur
- les pacman <action> --debug, il suffit de le poster ici (ou sur un pastebin à la limite)

(je pense avoir fait le tour :))

Aldarion
newbie
Messages : 6
Inscription : lun. 14 févr. 2011, 23:49

Re: [pacman] Sortie de la version 3.5

Message par Aldarion » ven. 20 mai 2011, 17:18

Ok merci je jetterais un oeil et vous tiendrais au courant en rentrant du boulot!


Je vous rassure, je ne rentre pas tout juste du boulot, Internet venait d'être activé et j'ai eu toute ma nouvelle config réseau à faire et cela m'a pris pas mal de temps au final :D

Voilà le log du debug, je vous avoue que j'ai pas avancé dans la recherche, je manque d'expérience en linux donc je suis parfois un peu perdu, comme en ce moment...

Code : Tout sélectionner

debug: config: attempting to read file /etc/pacman.conf
debug: config: new section 'options'
debug: config: HoldPkg: pacman
debug: config: HoldPkg: glibc
debug: config: SyncFirst: pacman
debug: config: SyncFirst: pacman-color
debug: config: SyncFirst: yaourt
debug: config: SyncFirst: package-query
debug: config: architecture: i686
debug: config: new section 'core'
debug: registering sync database 'core'
debug: config file /etc/pacman.conf, line 64: including /etc/pacman.d/mirrorlist
debug: config: attempting to read file /etc/pacman.d/mirrorlist
debug: adding new server URL to database 'core': http://arm.konnichi.com/2010/11/03/core/os/i686
debug: adding new server URL to database 'core': ftp://mirrors.kernel.org/archlinux/core/os/i686
debug: adding new server URL to database 'core': http://mirrors.kernel.org/archlinux/core/os/i686
debug: adding new server URL to database 'core': http://mir.archlinux.fr/core/os/i686
debug: adding new server URL to database 'core': http://mir.archlinux.fr
debug: setlibpaths() called
debug: option 'cachedir' = /var/cache/pacman/pkg/
debug: config: finished parsing /etc/pacman.d/mirrorlist
debug: config: new section 'extra'
debug: registering sync database 'extra'
debug: config file /etc/pacman.conf, line 67: including /etc/pacman.d/mirrorlist
debug: config: attempting to read file /etc/pacman.d/mirrorlist
debug: adding new server URL to database 'extra': http://arm.konnichi.com/2010/11/03/extra/os/i686
debug: adding new server URL to database 'extra': ftp://mirrors.kernel.org/archlinux/extra/os/i686
debug: adding new server URL to database 'extra': http://mirrors.kernel.org/archlinux/extra/os/i686
debug: adding new server URL to database 'extra': http://mir.archlinux.fr/extra/os/i686
debug: adding new server URL to database 'extra': http://mir.archlinux.fr
debug: config: finished parsing /etc/pacman.d/mirrorlist
debug: config: new section 'community'
debug: registering sync database 'community'
debug: config file /etc/pacman.conf, line 73: including /etc/pacman.d/mirrorlist
debug: config: attempting to read file /etc/pacman.d/mirrorlist
debug: adding new server URL to database 'community': http://arm.konnichi.com/2010/11/03/community/os/i686
debug: adding new server URL to database 'community': ftp://mirrors.kernel.org/archlinux/community/os/i686
debug: adding new server URL to database 'community': http://mirrors.kernel.org/archlinux/community/os/i686
debug: adding new server URL to database 'community': http://mir.archlinux.fr/community/os/i686
debug: adding new server URL to database 'community': http://mir.archlinux.fr
debug: config: finished parsing /etc/pacman.d/mirrorlist
debug: config: new section 'archlinuxfr'
debug: registering sync database 'archlinuxfr'
debug: adding new server URL to database 'archlinuxfr': http://repo.archlinux.fr/i686
debug: adding new server URL to database 'archlinuxfr': http://mir.archlinux.fr
debug: config: finished parsing /etc/pacman.conf
debug: registering local database
:: Synchronisation des bases de données de paquets...
debug: destfile found, using mtime only
debug: using 'core.db.tar.gz' for download progress
debug: HTTP_PROXY: (null)
debug: http_proxy: (null)
debug: FTP_PROXY:  (null)
debug: ftp_proxy:  (null)
debug: ust.mtime: 1288699071 local_time: 1288699071 compare: 0
debug: ust.size: 36433 local_size: 36433 compare: 0
debug: files are identical, skipping core.db.tar.gz
 core est à jour;
debug: destfile found, using mtime only
debug: using 'extra.db.tar.gz' for download progress
debug: HTTP_PROXY: (null)
debug: http_proxy: (null)
debug: FTP_PROXY:  (null)
debug: ftp_proxy:  (null)
debug: ust.mtime: 1288804884 local_time: 1288804884 compare: 0
debug: ust.size: 489856 local_size: 489856 compare: 0
debug: files are identical, skipping extra.db.tar.gz
 extra est à jour;
debug: destfile found, using mtime only
debug: using 'community.db.tar.gz' for download progress
debug: HTTP_PROXY: (null)
debug: http_proxy: (null)
debug: FTP_PROXY:  (null)
debug: ftp_proxy:  (null)
debug: ust.mtime: 1288793528 local_time: 1288793528 compare: 0
debug: ust.size: 403242 local_size: 403242 compare: 0
debug: files are identical, skipping community.db.tar.gz
 community est à jour;
debug: destfile found, using mtime only
debug: using 'archlinuxfr.db.tar.gz' for download progress
debug: HTTP_PROXY: (null)
debug: http_proxy: (null)
debug: FTP_PROXY:  (null)
debug: ftp_proxy:  (null)
debug: ust.mtime: 1305540543 local_time: 1305540543 compare: 0
debug: ust.size: 28486 local_size: 28486 compare: 0
debug: files are identical, skipping archlinuxfr.db.tar.gz
 archlinuxfr est à jour;
debug: loading package cache for repository 'local'
debug: database path for tree local set to /var/lib/pacman/local/
debug: loading package cache for repository 'core'
debug: database path for tree core set to /var/lib/pacman/sync/core/
debug: loading package cache for repository 'extra'
debug: database path for tree extra set to /var/lib/pacman/sync/extra/
debug: loading package cache for repository 'community'
debug: database path for tree community set to /var/lib/pacman/sync/community/
debug: loading package cache for repository 'archlinuxfr'
debug: database path for tree archlinuxfr set to /var/lib/pacman/sync/archlinuxfr/
debug: new version of 'yaourt' found (0.9.5-1 => 0.10.1-2)
debug: new version of 'package-query' found (0.4-1 => 0.8-1)
:: Les paquets suivants devraient être mis à jour en premier :
    yaourt  package-query

debug: adding package yaourt-0.10.1-2 to the transaction targets
debug: adding package package-query-0.8-1 to the transaction targets
Résolution des dépendances...
debug: resolving target's dependencies
debug: started resolving dependencies
debug: checkdeps: package yaourt-0.10.1-2
debug: checkdeps: missing dependency 'pacman>=3.5' for package 'yaourt'
debug: checkdeps: missing dependency 'package-query>=0.7' for package 'yaourt'
Avertissement: impossible de résoudre "pacman>=3.5", une dépendance de "yaourt"
debug: started resolving dependencies
debug: checkdeps: package package-query-0.8-1
debug: checkdeps: missing dependency 'pacman>=3.5' for package 'package-query'
debug: checkdeps: missing dependency 'yajl>=2.0' for package 'package-query'
Avertissement: impossible de résoudre "pacman>=3.5", une dépendance de "package-query"
:: les paquets suivants ne peuvent pas être mis à jour à cause dedépendances manquantes :
      yaourt  package-query
Recherche des conflits possibles entre paquets...
debug: looking for conflicts
debug: check targets vs targets
debug: check targets vs targets
debug: check targets vs db and db vs targets
debug: check targets vs db
debug: check db vs targets
debug: checking dependencies
 il n'y a rien à faire
debug: unregistering database 'local'
debug: freeing package cache for repository 'local'
debug: unregistering database 'core'
debug: freeing package cache for repository 'core'
debug: unregistering database 'extra'
debug: freeing package cache for repository 'extra'
debug: unregistering database 'community'
debug: freeing package cache for repository 'community'
debug: unregistering database 'archlinuxfr'
debug: freeing package cache for repository 'archlinuxfr'
Si ça vous paraît également insoluble et comme l'install est récente, je peux aussi tout simplement réinstaller avec la CtkArch 0.7 qui intègre probablement pacman 3.5
Mais bon, une solution, même tardive, à un problème sur un sujet déjà référencé sur le web, ça peut faire plaisir à d'autres. Donc je préfère prendre le temps qu'il faudra pour trouver la solution!

Pour en revenir à mon problème, je ne comprend pas pourquoi il cherche d'abord à Upgrade yaourt, la liste de priorité de mon pacman.conf est la suivante :

Code : Tout sélectionner

SyncFirst   = pacman pacman-color yaourt package-query 
Il ne devrait pas commencer par Pacman??

Je vous remercie par avance pour votre aide :)

Aldarion
newbie
Messages : 6
Inscription : lun. 14 févr. 2011, 23:49

Re: [pacman] Sortie de la version 3.5

Message par Aldarion » dim. 22 mai 2011, 12:02

Je pense que je tiens un truc :
Je faisais un test en ne laissant que pacman et pacman-color en Syncfirst et en virant pacman de HoldPkg dans pacman.conf
Je lance un pacman -Suy
Et :

"Avertissement: fbpanel: la version locale (6.1.491svn-1) est plus récente que community (6.1-2)"

M'enfin?!

Avatar de l’utilisateur
mimas
Elfe
Messages : 559
Inscription : sam. 30 sept. 2006, 22:30
Localisation : Toulouse

Re: [pacman] Sortie de la version 3.5

Message par mimas » dim. 22 mai 2011, 14:18

Tu as dû installer fbpanel-svn, et ce paquet indique qu'il équivaut au paquet fbpanel.

Il n'y a rien d'alarmant dans ce message d'avertissement.

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [pacman] Sortie de la version 3.5

Message par tuxce » dim. 22 mai 2011, 23:28

tuxce a écrit :tu dois utiliser un mauvais miroir, utilise par exemple mir.archlinux.fr
tuxce a écrit : - pacman teste les miroirs dans l'ordre de leur déclaration, si le premier répond, même si les paquets datent du siècle dernier, il le considère comme valide.
Aldarion a écrit : debug: config: attempting to read file /etc/pacman.d/mirrorlist
debug: adding new server URL to database 'core': http://arm.konnichi.com/2010/11/03/core/os/i686
debug: adding new server URL to database 'core': ftp://mirrors.kernel.org/archlinux/core/os/i686
debug: adding new server URL to database 'core': http://mirrors.kernel.org/archlinux/core/os/i686
debug: adding new server URL to database 'core': http://mir.archlinux.fr/core/os/i686
debug: adding new server URL to database 'core': http://mir.archlinux.fr

Répondre